Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java	(revision 0)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/ActionsInfoDevelTool.java	(revision 38564)
@@ -0,0 +1,187 @@
+package org.gvsig.app.extension.develtools;
+
+import java.util.Iterator;
+
+import org.gvsig.andami.PluginsLocator;
+import org.gvsig.andami.actioninfo.ActionInfo;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager;
+
+public class ActionsInfoDevelTool {
+
+	public void showActions() {
+		String html = this.getActionsInformation();
+		InfoPanel.save2file("actionsinfo", html);
+		InfoPanel.showPanel("Actions information", WindowManager.MODE.WINDOW, html);
+	}
+	
+	public String getActionsInformation() {
+		
+		String previousPluginName = null;
+		
+		String warning_open = "<b>";
+		String warning_close = "</b>";
+		
+		String error_open = "<b><font color=\"red\">";
+		String error_close = "</font></b>";
+
+		StringBuffer buffer = new StringBuffer();
+
+		buffer.append("<html>\n");
+		buffer.append("<body>\n");
+		buffer.append("<h2>Actions information </h2>\n");
+		buffer.append("<br>\n");
+
+		buffer.append("<table border=\"0\">\n");
+		buffer.append("  <tr>\n");
+		buffer.append("    <td>Plugin</td>\n");
+		buffer.append("    <td>Extension</td>\n");
+		buffer.append("    <td>Name</td>\n");
+		buffer.append("    <td>Position</td>\n");
+		buffer.append("    <td>Text</td>\n");
+		buffer.append("    <td>Command</td>\n");
+		buffer.append("    <td>Icon</td>\n");
+		buffer.append("    <td>Tip</td>\n");
+		buffer.append("    <td>Accelerator</td>\n");
+		buffer.append("  </tr>\n");
+		Iterator<ActionInfo> actions = PluginsLocator.getActionInfoManager().getActions(); 
+		while (actions.hasNext()) {
+			ActionInfo action = actions.next();
+			if( previousPluginName!=null && !action.getPluginName().equals(previousPluginName) ) {
+				buffer
+					.append("  <tr>\n")
+					.append("    <td colspan=\"9\"><hr></td>\n")
+					.append("  </tr>\n");
+				previousPluginName = action.getPluginName();
+			}
+			buffer.append("  <tr valign=\"top\">\n");
+			buffer.append("    <td>")
+				.append(action.getPluginName())
+				.append("</td>\n");
+			buffer.append("    <td>")
+				.append(action.getExtensionName())
+				.append("</td>\n");
+			if( action.getName().startsWith("anonymous__") ) {
+				buffer.append("    <td title=\"Missing action name, asigned one by default\">")
+					.append(error_open)
+					.append(action.getName())
+					.append(error_close)
+					.append("</td>\n");
+			} else if( !action.getName().contains("-") ) {
+				buffer.append("    <td title=\"Name don't have recomended syntax\">")
+					.append(warning_open)
+					.append(action.getName())
+					.append(warning_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(action.getName())
+					.append("</td>\n");
+			}  
+			if( action.getPosition()<100000000 ) {
+				buffer.append("    <td title=\"Incorrect position\">")
+					.append(error_open)
+					.append(action.getPosition())
+					.append(error_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(action.getPosition())
+					.append("</td>\n");
+			}
+			if( action.getLabel()==null ) {
+				buffer.append("    <td title=\"Missing label of action\">")
+					.append(error_open)
+					.append("(missing)")
+					.append(error_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(action.getLabel())
+					.append("</td>\n");
+			}
+			if( action.getCommand()==null ) {
+				buffer.append("    <td title=\"Missing command of action\">")
+					.append(error_open)
+					.append(action.getCommand())
+					.append(error_close)
+					.append("</td>\n");
+				
+			} else if(!action.getCommand().contains("-") && !action.getCommand().equals(action.getName())) {
+				buffer.append("    <td title=\"Command don't have recomended syntax and differ fron action name\">")
+					.append(warning_open)
+					.append(action.getCommand())
+					.append(warning_close)
+					.append("</td>\n");
+				
+			} else if(!action.getCommand().contains("-") ) {
+				buffer.append("    <td title=\"Command don't have recomended syntax\">")
+					.append(warning_open)
+					.append(action.getCommand())
+					.append(warning_close)
+					.append("</td>\n");
+				
+			} else if(!action.getCommand().equals(action.getName())) {
+				buffer.append("    <td title=\"Command differ fron action name\">")
+					.append(warning_open)
+					.append(action.getCommand())
+					.append(warning_close)
+					.append("</td>\n");
+				
+			} else {
+				buffer.append("    <td>")
+					.append(action.getCommand())
+					.append("</td>\n");
+			}
+			if( action.getIconName()==null ) {
+				buffer.append("    <td title=\"Missing icon name\">")
+					.append(error_open)
+					.append("(missing)")
+					.append(error_close)
+					.append("</td>\n");
+			} else if( action.getIcon()==null ) {
+				buffer.append("    <td title=\"Missing icon\">")
+					.append(error_open)
+					.append(action.getIconName())
+					.append(error_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(action.getIconName())
+					.append("</td>\n");
+			}
+			if( action.getTooltip()==null ) {
+				buffer.append("    <td title=\"Missing tooltip\">")
+					.append(error_open)
+					.append(action.getTooltip())
+					.append(error_close)
+					.append("</td>\n");
+				
+			} else {
+				buffer.append("    <td>")
+					.append(action.getTooltip())
+					.append("</td>\n");
+			}
+			if( action.getAccelerator()!=null && action.getKeyStroke()==null ) {
+				buffer.append("    <td title=\"Incorrect syntax of the accelerator key\">")
+					.append(error_open)
+					.append(action.getAccelerator())
+					.append(error_close)
+					.append("</td>\n");
+				
+			} else {
+				buffer.append("    <td>")
+					.append(action.getAccelerator())
+					.append("</td>\n");
+			}
+			buffer.append("  </tr>\n");
+			
+		}
+		buffer.append("</table>\n");
+		buffer.append("</body>\n");
+		buffer.append("</html>\n");
+
+		return buffer.toString();
+	}
+
+
+}

Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/InfoPanel.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/InfoPanel.java	(revision 0)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/InfoPanel.java	(revision 38564)
@@ -0,0 +1,95 @@
+package org.gvsig.app.extension.develtools;
+
+import java.awt.BorderLayout;
+import java.awt.Dimension;
+import java.awt.event.ActionEvent;
+import java.awt.event.ActionListener;
+import java.io.File;
+import java.io.FileWriter;
+import java.io.IOException;
+
+import javax.swing.BorderFactory;
+import javax.swing.Box;
+import javax.swing.BoxLayout;
+import javax.swing.JButton;
+import javax.swing.JPanel;
+import javax.swing.JScrollPane;
+import javax.swing.JTextPane;
+
+import org.gvsig.app.ApplicationLocator;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class InfoPanel extends JPanel {
+	private static Logger logger = LoggerFactory.getLogger(InfoPanel.class);
+
+
+	private static final long serialVersionUID = 7164653790859770568L;
+
+	private JButton accept = null;
+	private JButton copy = null;
+	private JTextPane text = null;
+
+	public static void showPanel(String title, WindowManager.MODE mode,
+			String html) {
+		JPanel panel = new InfoPanel(html);
+		WindowManager wm = ToolsSwingLocator.getWindowManager();
+		wm.showWindow(panel, title, mode);
+	}
+
+	public static void save2file(String name, String contents) {
+		File file;
+		try {
+			file = File.createTempFile("gvsig-" + name, ".html");
+			FileWriter fwriter = new FileWriter(file);
+			fwriter.append(contents);
+			fwriter.close();
+		} catch (IOException e) {
+			logger.warn("Can't save contents to temp file gvsig-" + name, e);
+		}
+	}
+	public InfoPanel(final String html) {
+		this.setLayout(new BorderLayout());
+		this.setPreferredSize(new Dimension(500, 300));
+		this.setBorder(BorderFactory.createEmptyBorder(4, 4, 4, 4));
+
+		text = new JTextPane();
+		text.setContentType("text/html");
+		text.setEditable(false);
+		text.setText(html);
+		text.setCaretPosition(0);
+
+		JScrollPane scrollPane = new JScrollPane(text);
+		scrollPane.setPreferredSize(new Dimension(500, 220));
+
+		accept = new JButton("Accept");
+		accept.addActionListener(new ActionListener() {
+			public void actionPerformed(ActionEvent arg0) {
+				setVisible(false);
+			}
+		});
+		copy = new JButton("Copy to clipboard");
+		copy.addActionListener(new ActionListener() {
+			public void actionPerformed(ActionEvent arg0) {
+				ApplicationLocator.getManager().putInClipboard(
+						text.getText());
+			}
+		});
+
+		JPanel buttonsPanel = new JPanel();
+		buttonsPanel.setLayout(new BoxLayout(buttonsPanel,
+				BoxLayout.LINE_AXIS));
+		buttonsPanel.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
+
+		buttonsPanel.add(Box.createHorizontalGlue());
+		buttonsPanel.add(copy);
+		buttonsPanel.add(accept);
+
+		this.add(scrollPane, BorderLayout.CENTER);
+		this.add(buttonsPanel, BorderLayout.SOUTH);
+		this.setVisible(true);
+	}
+
+}

Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/PaletteViewInfoExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/PaletteViewInfoExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/PaletteViewInfoExtension.java	(revision 38564)
@@ -64,12 +64,12 @@
 	 * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
 	 */
 	public void execute(String s) {
-		IWindow view = PluginServices.getMDIManager().getActiveWindow();
-        if (s.equals("PALETTE")){
+        if (s.equals("window-convert-to-tool")){
+    		IWindow view = PluginServices.getMDIManager().getActiveWindow();
         	IWindowTransform vt=(IWindowTransform)view;
         	vt.toPalette();
+            PluginServices.getMainFrame().enableControls();
         }
-        PluginServices.getMainFrame().enableControls();
 	}
 
 	/**
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ProjectExtension.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ProjectExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ProjectExtension.java	(revision 38564)
@@ -31,9 +31,7 @@
 
 import javax.swing.JOptionPane;
 
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.Launcher;
 import org.gvsig.andami.Launcher.TerminationProcess;
 import org.gvsig.andami.PluginServices;
@@ -59,6 +57,8 @@
 import org.gvsig.utils.save.BeforeSavingListener;
 import org.gvsig.utils.save.SaveEvent;
 import org.gvsig.utils.swing.threads.IMonitorableTask;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Extension que proporciona controles para crear proyectos nuevos, abrirlos y
@@ -114,20 +114,11 @@
     }
 
     private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("project-new",
-            this.getClass().getClassLoader().getResource("images/new.png"));
-
-        PluginServices.getIconTheme().registerDefault("project-open",
-            this.getClass().getClassLoader().getResource("images/open.png"));
-
-        PluginServices.getIconTheme().registerDefault("project-save",
-            this.getClass().getClassLoader().getResource("images/save.png"));
-
-        PluginServices.getIconTheme().registerDefault("project-save-as",
-            this.getClass().getClassLoader().getResource("images/save.png"));
-
-        PluginServices.getIconTheme().registerDefault("application-exit",
-            this.getClass().getClassLoader().getResource("images/salir.png"));
+    	IconThemeHelper.registerIcon("action", "application-project-new", this);
+    	IconThemeHelper.registerIcon("action", "application-project-open", this);
+    	IconThemeHelper.registerIcon("action", "application-project-save", this);
+    	IconThemeHelper.registerIcon("action", "application-project-save-as", this);
+    	IconThemeHelper.registerIcon("action", "application-exit", this);
     }
 
     private void loadInitialProject() {
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionControls.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionControls.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/ViewSelectionControls.java	(revision 38564)
@@ -95,6 +95,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -127,43 +128,30 @@
 	}
 
 	private void registerIcons(){
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-select-geometry",
-				this.getClass().getClassLoader().getResource("images/Select.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-select-by-rectangle",
-				this.getClass().getClassLoader().getResource("images/SelEspacial2b.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-select-by-polygon",
-				this.getClass().getClassLoader().getResource("images/SelectByPolygon.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"view-select-invert",
-				this.getClass().getClassLoader().getResource("images/invertSelection.png")
-			);
+		IconThemeHelper.registerIcon("action", "selection-simple-select", this);
+		IconThemeHelper.registerIcon("action", "selection-select-by-rectangle", this);
+		IconThemeHelper.registerIcon("action", "selection-select-by-polygon", this);
+		IconThemeHelper.registerIcon("action", "selection-clear", this);
 	}
 
 	public void execute(String actionCommand) {
 		MapControl mapCtrl = vista.getMapControl();
 		logger.debug("Comand : " + actionCommand);
-		if (actionCommand.equals("SELRECT")) {
+		if (actionCommand.equalsIgnoreCase("selection-select-by-rectangle-view")) {
 			mapCtrl.setTool("rectSelection");
 			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (actionCommand.equals("SELPOINT")) {
+			
+		} else if (actionCommand.equalsIgnoreCase("selection-simple-select-view")) {
 			mapCtrl.setTool("pointSelection");
 			((AbstractDocument)vista.getModel()).setModified(true);
-		} else if (actionCommand.equals("SELPOL")) {
+			
+		} else if (actionCommand.equalsIgnoreCase("selection-select-by-polygon")) {
 			mapCtrl.setTool("polSelection");
 			((AbstractDocument)vista.getModel()).setModified(true);
+			
 		}
 	}
-
+	
 	public boolean isEnabled() {
 		ViewDocument model = vista.getModel();
 		MapContext mapa = model.getMapContext();
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/ApplicationManager.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/ApplicationManager.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/ApplicationManager.java	(revision 38564)
@@ -32,7 +32,6 @@
 import org.cresques.cts.IProjection;
 
 import org.gvsig.about.AboutManager;
-import org.gvsig.andami.iconthemes.IconThemeManager;
 import org.gvsig.andami.ui.mdiManager.IWindow;
 import org.gvsig.andami.ui.mdiManager.MDIManager;
 import org.gvsig.app.extension.Version;
@@ -58,6 +57,7 @@
 import org.gvsig.tools.dynobject.DynObjectManager;
 import org.gvsig.tools.extensionpoint.ExtensionPointManager;
 import org.gvsig.tools.persistence.PersistenceManager;
+import org.gvsig.tools.swing.icontheme.IconThemeManager;
 
 
 public interface ApplicationManager {
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/gui/command/CommandStackDialog.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/gui/command/CommandStackDialog.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/gui/command/CommandStackDialog.java	(revision 38564)
@@ -16,6 +16,7 @@
 import javax.swing.table.DefaultTableCellRenderer;
 import javax.swing.table.TableColumn;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.ui.mdiManager.IWindowListener;
 import org.gvsig.andami.ui.mdiManager.SingletonWindow;
@@ -46,12 +47,9 @@
 	private JScrollPane jScrollPane = null;
 	private JPanel tablePanel = null;
 	
-	private static final ImageIcon imodify = PluginServices.getIconTheme()
-		.get("edition-modify-command");
-	private static final ImageIcon iadd = PluginServices.getIconTheme()
-		.get("edition-add-command");
-	private static final ImageIcon idel = PluginServices.getIconTheme()
-		.get("edition-del-command");
+	private static final ImageIcon imodify = IconThemeHelper.getImageIcon("layout-tool-undo-redo-actions-modify"); 
+	private static final ImageIcon iadd = IconThemeHelper.getImageIcon("layout-tool-undo-redo-actions-add");
+	private static final ImageIcon idel = IconThemeHelper.getImageIcon("layout-tool-undo-redo-actions-delete");
 
 	private CommandTableModel commandTableModel = null;
 	/**
Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/imp/DefaultAppgvSIGManager.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/imp/DefaultAppgvSIGManager.java	(revision 38563)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/imp/DefaultAppgvSIGManager.java	(revision 38564)
@@ -37,14 +37,10 @@
 import javax.swing.JOptionPane;
 
 import org.cresques.cts.IProjection;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
 import org.gvsig.about.AboutLocator;
 import org.gvsig.about.AboutManager;
 import org.gvsig.andami.Launcher;
 import org.gvsig.andami.PluginServices;
-import org.gvsig.andami.iconthemes.IconThemeManager;
 import org.gvsig.andami.ui.mdiManager.IWindow;
 import org.gvsig.andami.ui.mdiManager.MDIManager;
 import org.gvsig.app.ApplicationManager;
@@ -81,6 +77,10 @@
 import org.gvsig.tools.extensionpoint.ExtensionPoint.Extension;
 import org.gvsig.tools.extensionpoint.ExtensionPointManager;
 import org.gvsig.tools.persistence.PersistenceManager;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.icontheme.IconThemeManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 
@@ -316,7 +316,7 @@
 	}
 
 	public IconThemeManager getIconThemeManager() {
-		return IconThemeManager.getIconThemeManager();
+		return ToolsSwingLocator.getIconThemeManager();
 	}
 
 	public String getArgument(String name) {
Index: branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/label/Label.java
===================================================================
--- branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/label/Label.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/label/Label.java	(revision 38564)
@@ -82,4 +82,7 @@
 		}
 	}
 
+	public Object getValue() {
+		return null;
+	}
 }
Index: branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/comboscale/ComboScale.java
===================================================================
--- branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/comboscale/ComboScale.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/comboscale/ComboScale.java	(revision 38564)
@@ -54,6 +54,8 @@
 
     static private int eventId = Integer.MIN_VALUE;
 
+    private Long lastValue = null;
+    
     // jaume
     private class ComboScaleItem {
 
@@ -155,6 +157,10 @@
         }
         return jComboBox;
     }
+    
+	public Object getValue() {
+		return lastValue;
+	}
 
     public void setItems(long[] items) {
         ComboScaleItem[] scales = new ComboScaleItem[items.length];
@@ -216,11 +222,11 @@
         if (!bDoCallListeners)
             return;
 
+        lastValue = new Long(scale);
         Iterator<ActionListener> acIterator = actionCommandListeners.iterator();
         while (acIterator.hasNext()) {
             ActionListener listener = acIterator.next();
-            listener.actionPerformed(new ActionEvent(this, eventId,
-                "CHANGE_SCALE_" + scale));
+            listener.actionPerformed(new ActionEvent(this, eventId,"view-change-scale"));
         }
         eventId++;
     }
Index: branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/IControl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/IControl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/IControl.java	(revision 38564)
@@ -73,6 +73,8 @@
 	 */
 	public Object setValue(Object value);
 
+	public Object getValue();
+
 	/**
 	 * Gets the name of the control, used to identify it
 	 * @return the name of the control
@@ -86,4 +88,5 @@
 	 * @return
 	 */
 	public void setName(String name);
+	
 }
Index: branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/combobutton/ComboButton.java
===================================================================
--- branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/combobutton/ComboButton.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libUIComponent/src/org/gvsig/gui/beans/controls/combobutton/ComboButton.java	(revision 38564)
@@ -362,4 +362,8 @@
 	public void setAlwaysMenuOnClick(boolean alwaysMenuOnClick) {
 		this.alwaysMenuOnClick = alwaysMenuOnClick;
 	}
+	
+	public Object getValue() {
+		return null;
+	}
 }
\ No newline at end of file
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/dal/feature/swing/table/TextAreaCellEditor.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/dal/feature/swing/table/TextAreaCellEditor.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/dal/feature/swing/table/TextAreaCellEditor.java	(revision 38564)
@@ -26,7 +26,10 @@
  */
 package org.gvsig.fmap.mapcontrol.dal.feature.swing.table;
 
-import javax.swing.*;
+import javax.swing.DefaultCellEditor;
+import javax.swing.JScrollPane;
+import javax.swing.JTextArea;
+import javax.swing.JTextField;
 
 /**
  * <p>
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/snapping/GeometriesSnappingVisitor.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/snapping/GeometriesSnappingVisitor.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/snapping/GeometriesSnappingVisitor.java	(revision 38564)
@@ -4,7 +4,6 @@
 import java.util.ArrayList;
 
 import org.gvsig.fmap.geom.operation.tojts.ToJTS;
-import org.gvsig.fmap.mapcontrol.tools.snapping.snappers.ISnapperGeometriesVectorial;
 import org.gvsig.fmap.mapcontrol.tools.snapping.snappers.ISnapperVectorial;
 
 import com.vividsolutions.jts.geom.Coordinate;
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/AreaListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/AreaListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/AreaListenerImpl.java	(revision 38564)
@@ -40,22 +40,22 @@
  */
 package org.gvsig.fmap.mapcontrol.tools;
 
-import java.awt.Cursor;
 import java.awt.Image;
 import java.awt.Point;
-import java.awt.Toolkit;
 import java.awt.geom.Point2D;
 
-import javax.swing.ImageIcon;
-
 import org.cresques.cts.IProjection;
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.crs.CRSFactory;
+import org.gvsig.fmap.geom.primitive.GeneralPathX;
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.Events.MeasureEvent;
 import org.gvsig.fmap.mapcontrol.tools.Listeners.PolylineListener;
 import org.gvsig.fmap.mapcontrol.tools.geo.Geo;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.icontheme.IconThemeManager;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -77,8 +77,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image iarea = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/AreaCursor.gif")).getImage();
+//	private final Image iarea = PluginServices.getIconTheme().get("cursor-query-area").getImage();
 	
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -258,7 +257,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return iarea;
+		return IconThemeHelper.getImage("cursor-query-area");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PolygonSelectionListener.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PolygonSelectionListener.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/PolygonSelectionListener.java	(revision 38564)
@@ -42,17 +42,15 @@
 
 import java.awt.Image;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureSelection;
 import org.gvsig.fmap.dal.feature.FeatureSet;
 import org.gvsig.fmap.dal.feature.exception.CreateGeometryException;
-import org.gvsig.fmap.geom.Geometry;
-import org.gvsig.fmap.geom.GeometryLocator;
-import org.gvsig.fmap.geom.GeometryManager;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.Geometry.TYPES;
+import org.gvsig.fmap.geom.GeometryLocator;
+import org.gvsig.fmap.geom.GeometryManager;
 import org.gvsig.fmap.geom.primitive.GeneralPathX;
 import org.gvsig.fmap.geom.primitive.Surface;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
@@ -78,8 +76,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image img = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/PoligonCursor.png")).getImage();
+//	private final Image img = PluginServices.getIconTheme().get("cursor-select-by-polygon").getImage();
 	
 	/**
 	 * The cursor used to work with this tool listener.
@@ -102,7 +99,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return img;
+		return IconThemeHelper.getImage("cursor-select-by-polygon");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomInListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomInListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomInListenerImpl.java	(revision 38564)
@@ -42,13 +42,8 @@
 
 import java.awt.Image;
 import java.awt.geom.Rectangle2D;
-import java.net.URL;
 
-import javax.swing.ImageIcon;
-
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
+import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
@@ -59,6 +54,8 @@
 import org.gvsig.fmap.mapcontrol.MapControl;
 import org.gvsig.fmap.mapcontrol.tools.Events.EnvelopeEvent;
 import org.gvsig.fmap.mapcontrol.tools.Listeners.RectangleListener;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 
@@ -101,7 +98,7 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image izoomin;
+//	private final Image izoomin;
 
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -113,13 +110,7 @@
      * 
      */
     public ZoomInListenerImpl() {
-        URL res = MapControl.class.getClassLoader().getResource("org/gvsig/fmap/mapcontrol/images/ZoomInCursor.gif");
-        if( res == null ) {
-            this.izoomin = new ImageIcon().getImage();
-            logger.error("Can't load icon 'org/gvsig/fmap/mapcontrol/images/ZoomInCursor.gif'");
-        } else {
-            this.izoomin = new ImageIcon(res).getImage();
-        }
+//        this.izoomin = PluginServices.getIconTheme().get("cursor-zoom-in").getImage();
     }
 
     /**
@@ -174,7 +165,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return izoomin;
+		return IconThemeHelper.getImage("cursor-zoom-in");
 	}
 
 	/*
Index: branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutListenerImpl.java
===================================================================
--- branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutListenerImpl.java	(revision 38563)
+++ branches/v2_0_0_prep/libraries/libFMap_controls/src/org/gvsig/fmap/mapcontrol/tools/ZoomOutListenerImpl.java	(revision 38564)
@@ -45,12 +45,12 @@
 
 import javax.swing.ImageIcon;
 
+import org.gvsig.fmap.IconThemeHelper;
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
 import org.gvsig.fmap.geom.primitive.Envelope;
-import org.gvsig.fmap.geom.util.UtilFunctions;
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontrol.MapControl;
@@ -98,8 +98,8 @@
 	/**
 	 * The image to display when the cursor is active.
 	 */
-	private final Image izoomout = new ImageIcon(MapControl.class.getClassLoader().getResource(
-				"org/gvsig/fmap/mapcontrol/images/ZoomOutCursor.gif")).getImage();
+//	private final Image izoomout = new ImageIcon(MapControl.class.getClassLoader().getResource(
+//				"org/gvsig/fmap/mapcontrol/images/ZoomOutCursor.gif")).getImage();
 
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
@@ -148,7 +148,7 @@
 	 * @see com.iver.cit.gvsig.fmap.tools.Listeners.ToolListener#getImageCursor()
 	 */
 	public Image getImageCursor() {
-		return izoomout;
+		return IconThemeHelper.getImage("cursor-zoom-out");
 	}
 
 	/*
